/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package model;

import datamodel.Student;
import forme.DialogStudentPrikazKomboBoks;
import forme.IView;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author student1
 */
public class Model {

    private List<Student> studenti;
    private static Model instancaModela;
    private List<IView> forme;

    private Model() {
        studenti = new ArrayList<>();
        forme = new ArrayList<>();
    }

    public static Model vratiInstancuModela() {
        if (instancaModela == null) {
            instancaModela = new Model();
        }
        return instancaModela;
    }

    public void dodajStudenta(Student s) {
        studenti.add(s);
        obavestiFormeOPromeniUModelu();
    }

    public List<Student> vratiStudente() {
        return studenti;
    }

    public void registujFormu(IView view) {
        forme.add(view);
        view.osvezi();

    }

    private void obavestiFormeOPromeniUModelu() {
        for (IView view : forme) {
            view.osvezi();
        }
    }

}
